Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8090764

[PACKAGER] Add a toolkit value for FX WebStart case

    XMLWordPrintable

    Details

      Description

      The JNLP file produced by the packager contains a block like this when toolkit = fx:

        <applet-desc width="800" height="600" main-class="com.package.Whatever" name="Whatever" >
          <param name="requiredFXVersion" value="1.8+"/>
        </applet-desc>
        <jfx:javafx-desc width="800" height="600" main-class="com.package.Whatever" name="Whatever" />

      If toolkit = swing you get:

        <application-desc main-class="com.package.Whatever"/>

      But unless I missed it there's no toolkit value for an FX WebStart application, which requires:

        <jfx:javafx-desc width="800" height="600" main-class="com.package.Whatever" name="Whatever" />
        <application-desc main-class="com.package.Whatever"/>

        Attachments

          Activity

            People

            • Assignee:
              shemnon Danno Ferrin (Inactive)
              Reporter:
              yjoan Yves Joan (Inactive)
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Imported: